<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: FTPFileCallbacks Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classFTPFileCallbacks-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FTPFileCallbacks Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="FTPServer_8h_source.html">FTPServer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for FTPFileCallbacks:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classFTPFileCallbacks.png" usemap="#FTPFileCallbacks_map" alt=""/>
  <map id="FTPFileCallbacks_map" name="FTPFileCallbacks_map">
<area href="classFTPCallbacks.html" alt="FTPCallbacks" shape="rect" coords="0,0,111,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8ff3abdbfa9aec3a0c2cb6326f0857c7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFTPFileCallbacks.html#a8ff3abdbfa9aec3a0c2cb6326f0857c7">onStoreStart</a> (std::string fileName) override</td></tr>
<tr class="separator:a8ff3abdbfa9aec3a0c2cb6326f0857c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac5fb14e31fa780430e0686b14589f8d"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFTPFileCallbacks.html#aac5fb14e31fa780430e0686b14589f8d">onStoreData</a> (uint8_t *data, size_t size) override</td></tr>
<tr class="separator:aac5fb14e31fa780430e0686b14589f8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a774689d1eec3358d7258684d6df0e863"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFTPFileCallbacks.html#a774689d1eec3358d7258684d6df0e863">onStoreEnd</a> () override</td></tr>
<tr class="separator:a774689d1eec3358d7258684d6df0e863"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75e9f0177e3d66f0d07e875d755dac7e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFTPFileCallbacks.html#a75e9f0177e3d66f0d07e875d755dac7e">onRetrieveStart</a> (std::string fileName) override</td></tr>
<tr class="separator:a75e9f0177e3d66f0d07e875d755dac7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a541964c7f8f736dc156b94c0e80dcfba"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFTPFileCallbacks.html#a541964c7f8f736dc156b94c0e80dcfba">onRetrieveData</a> (uint8_t *data, size_t size) override</td></tr>
<tr class="separator:a541964c7f8f736dc156b94c0e80dcfba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6ba0c51e599e963d1584a0a46287f1f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFTPFileCallbacks.html#ae6ba0c51e599e963d1584a0a46287f1f">onRetrieveEnd</a> () override</td></tr>
<tr class="separator:ae6ba0c51e599e963d1584a0a46287f1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9694f9a616a82f44af6be0fd9eb90df3"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFTPFileCallbacks.html#a9694f9a616a82f44af6be0fd9eb90df3">onDir</a> () override</td></tr>
<tr class="separator:a9694f9a616a82f44af6be0fd9eb90df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>An implementation of <a class="el" href="classFTPCallbacks.html">FTPCallbacks</a> that uses Posix <a class="el" href="classFile.html" title="A logical representation of a file.">File</a> I/O to perform file access. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a9694f9a616a82f44af6be0fd9eb90df3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9694f9a616a82f44af6be0fd9eb90df3">&#9670;&nbsp;</a></span>onDir()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string FTPFileCallbacks::onDir </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Return a list of files in the file system. </p><dl class="section return"><dt>Returns</dt><dd>a list of files in the file system. </dd></dl>

<p>Reimplemented from <a class="el" href="classFTPCallbacks.html">FTPCallbacks</a>.</p>

</div>
</div>
<a id="a541964c7f8f736dc156b94c0e80dcfba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a541964c7f8f736dc156b94c0e80dcfba">&#9670;&nbsp;</a></span>onRetrieveData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t FTPFileCallbacks::onRetrieveData </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Called when the client is ready to receive the next piece of the file. To indicate that there is no more data to send, return a size of 0. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td>The data buffer that we can fill to return data back to the client. </td></tr>
    <tr><td class="paramname">size</td><td>The maximum size of the data buffer that we can populate. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The size of data being returned. Return 0 to indicate that there is no more data to return. </dd></dl>

<p>Reimplemented from <a class="el" href="classFTPCallbacks.html">FTPCallbacks</a>.</p>

</div>
</div>
<a id="ae6ba0c51e599e963d1584a0a46287f1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6ba0c51e599e963d1584a0a46287f1f">&#9670;&nbsp;</a></span>onRetrieveEnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FTPFileCallbacks::onRetrieveEnd </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Called when the retrieval has been completed. </p>

<p>Reimplemented from <a class="el" href="classFTPCallbacks.html">FTPCallbacks</a>.</p>

</div>
</div>
<a id="a75e9f0177e3d66f0d07e875d755dac7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75e9f0177e3d66f0d07e875d755dac7e">&#9670;&nbsp;</a></span>onRetrieveStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FTPFileCallbacks::onRetrieveStart </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>fileName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Called when the client requests retrieval of a file. </p>

<p>Reimplemented from <a class="el" href="classFTPCallbacks.html">FTPCallbacks</a>.</p>

</div>
</div>
<a id="aac5fb14e31fa780430e0686b14589f8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac5fb14e31fa780430e0686b14589f8d">&#9670;&nbsp;</a></span>onStoreData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t FTPFileCallbacks::onStoreData </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Called when the client presents a new chunk of data to be saved. </p>

<p>Reimplemented from <a class="el" href="classFTPCallbacks.html">FTPCallbacks</a>.</p>

</div>
</div>
<a id="a774689d1eec3358d7258684d6df0e863"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a774689d1eec3358d7258684d6df0e863">&#9670;&nbsp;</a></span>onStoreEnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FTPFileCallbacks::onStoreEnd </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Called at the end of a STOR request. This indicates that the client has completed its transmission of the file. </p>

<p>Reimplemented from <a class="el" href="classFTPCallbacks.html">FTPCallbacks</a>.</p>

</div>
</div>
<a id="a8ff3abdbfa9aec3a0c2cb6326f0857c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ff3abdbfa9aec3a0c2cb6326f0857c7">&#9670;&nbsp;</a></span>onStoreStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FTPFileCallbacks::onStoreStart </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>fileName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Called at the start of a STOR request. The file name is the name of the file the client would like to save. </p>

<p>Reimplemented from <a class="el" href="classFTPCallbacks.html#a310e8643ffeec67b4049423c44ba1b23">FTPCallbacks</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="FTPServer_8h_source.html">FTPServer.h</a></li>
<li>FTPCallbacks.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
